#!/bin/bash

# Boot the emulated system to a shell prompt.

ARCH=sparc
run_emulator()
{
  [ ! -z "$DEBUG" ] && set -x
  qemu-system-sparc -cpu "Fujitsu MB86907" -nographic -no-reboot -kernel linux -initrd rootfs.cpio.gz -append "panic=1 console=ttyS0 HOST=sparc $KERNEL_EXTRA" $QEMU_EXTRA
}

if [ "$1" != "--norun" ]
then
  run_emulator
fi
